# Search Stream

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Search Stream"}
>
</Heading>

<MethodEndpoint
  method={"post"}
  path={"/api/v1/workspaces/{workspace_name}/pipelines/{pipeline_name}/search-stream"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Run a search using a pipeline and return the answer as stream.

Options:
- The full result can be accessed as the last stream message if `include_result=True`.
- Tool calls are streamed if `include_tool_calls=True`. Defaults to `rendered` where tool calls are converted to
markdown text deltas.
- Tool call results are streamed if `include_tool_call_result=True`.
- Reasoning output is streamed if `include_reasoning=True`.

Event data format where `delta`, `result`, `tool_call_delta`, `tool_call_result`, `reasoning`, `ping` and `error`
are mutually exclusive:
```
{
    "query_id": UUID,
    "type": Literal["delta", "result", "error", "tool_call_delta", "tool_call_result", "reasoning", "ping"],
    "delta": Optional[StreamDelta],
    "result": Optional[DeepsetCloudQueryResponse],
    "error": Optional[str],
    "tool_call_delta": Optional[ToolCallDelta],
    "tool_call_result": Optional[ToolCallResult],
    "reasoning": Optional[ReasoningDelta],
    "index": Optional[int],
    "start": Optional[bool],
    "finish_reason": Optional[str],
}
```

StreamDelta format:
```
{
    "text": str,
    "meta": Optional[dict[str, Any]],
}
```

ToolCallDelta format:
```
{
    "index": int,
    "tool_name": Optional[str],
    "id": Optional[str],
    "arguments": Optional[str],
}
```

ToolCallResult format:
```
{
    "result": str,
    "origin": {
        "tool_name": str,
        "arguments": dict[str, Any],
        "id": Optional[str],
    },
    "error": bool,
}
```

ReasoningDelta format:
```
{
    "reasoning_text": str,
    "extra": dict[str, Any],
}
```

Example code to consume the stream in Python:
```python
from httpx_sse import EventSource

TOKEN = "MY_TOKEN"
PIPELINE_URL = "https://api.cloud.deepset.ai/api/v1/workspaces/MY_WORKSPACE/pipelines/MY_PIPELINE"

async def main():
    query = {
        "query": "How does streaming work with deepset?",
        "include_result": True,
        "include_tool_calls": True,
        "include_tool_call_results": True,
    }
    headers = {
        "Authorization": f"Bearer {TOKEN}"
    }
    async with httpx.AsyncClient(base_url=PIPELINE_URL, headers=headers, timeout=httpx.Timeout(300.0)) as client:
        async with client.stream("POST", "/search-stream", json=query) as response:
            # Check if the response is successful
            if response.status_code != 200:
                await response.aread()
                print(f"An error occured with status code: {response.status_code}")
                print(response.json()["errors"][0])
                return

            event_source = EventSource(response)
            # Stream the response
            async for event in event_source.aiter_sse():
                event_data = json.loads(event.data)
                chunk_type = event_data["type"]
                # Check the type of the chunk and print the data accordingly
                match chunk_type:
                    # Delta chunk contains the next text chunk of the answer
                    case "delta":
                        delta = event_data["delta"]
                        if event_data.get("start"):
                            print(f"\n\nAnswer: ", flush=True, end="")
                        token: str = delta["text"]
                        print(token, flush=True, end="\n" if event_data.get("finish_reason") else "")
                    # Result chunk contains the final pipeline result
                    case "result":
                        print("\n\nPipeline result: ")
                        print(json.dumps(event_data["result"]))
                    # Error chunk contains the error message
                    case "error":
                        print("\n\nAn error occurred while streaming:")
                        print(event_data["error"])
                    case "tool_call_delta":
                        tool_call_delta = event_data["tool_call_delta"]
                        if tool_call_delta["tool_name"]:
                            tool_id = tool_call_delta["id"]
                            tool_name = tool_call_delta["tool_name"]
                            print(f"\n\nTool call {tool_id} started {tool_name} with arguments: ")
                        elif tool_call_delta["arguments"]:
                            print(tool_call_delta["arguments"], flush=True, end="")
                    case "tool_call_result":
                        tool_call_result = event_data["tool_call_result"]
                        tool_id = tool_call_result["origin"]["id"]
                        tool_name = tool_call_result["origin"]["tool_name"]
                        if tool_call_result["error"]:
                            print(f"\n\nTool call {tool_name} with id {tool_id} failed.")
                        else:
                            print(f"\n\nTool call {tool_name} with id {tool_id} result:")
                            print(tool_call_result["result"])
                    case "reasoning":
                        reasoning = event_data["reasoning"]
                        if event_data.get("start"):
                            print(f"\n\nReasoning: ")
                        print(f"{reasoning['reasoning_text']}", flush=True, end="")

asyncio.run(main())
```

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"The name of the pipeline you want to use for search.","in":"path","name":"pipeline_name","required":true,"schema":{"description":"The name of the pipeline you want to use for search.","title":"Pipeline Name","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}},{"in":"query","name":"secret","required":false,"schema":{"default":"","title":"Secret","type":"string"}},{"in":"query","name":"ttl_seconds","required":false,"schema":{"default":600,"title":"Ttl Seconds","type":"integer"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={{"content":{"application/json":{"schema":{"examples":[{"query":"What is the capital of France?"}],"properties":{"debug":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":false,"description":"Shows debug output for the pipeline (for example, prompt).","title":"Debug Flag"},"files":{"anyOf":[{"items":{"format":"uuid","type":"string"},"type":"array"},{"type":"null"}],"description":"A list of files in the workspace.","title":"Files"},"filters":{"anyOf":[{"properties":{"conditions":{"description":"The conditions you want to use for logical conditions.","items":{"anyOf":[{"properties":{"field":{"description":"The field you want to compare.","title":"Comparison Condition Field","type":"string"},"operator":{"description":"The operator you want to use for comparison.","title":"Comparison Condition Operator","enum":["==","!=",">",">=","<","<=","in","not in"],"type":"string"},"value":{"description":"The value you want to compare the field to.","title":"Comparison Condition Value"}},"required":["field","operator","value"],"title":"ComparisonCondition","type":"object"},"circular(LogicalCondition)"]},"title":"Conditions","type":"array"},"operator":{"description":"The operator you want to use for logical conditions.","title":"Logical Condition Operator","enum":["AND","OR","NOT"],"type":"string"}},"required":["operator","conditions"],"title":"LogicalCondition","type":"object"},{"properties":{"field":{"description":"The field you want to compare.","title":"Comparison Condition Field","type":"string"},"operator":{"description":"The operator you want to use for comparison.","title":"Comparison Condition Operator","enum":["==","!=",">",">=","<","<=","in","not in"],"type":"string"},"value":{"description":"The value you want to compare the field to.","title":"Comparison Condition Value"}},"required":["field","operator","value"],"title":"ComparisonCondition","type":"object"},{"additionalProperties":false,"properties":{},"title":"EmptyFilters","type":"object"},{"type":"null"}],"description":"Filters you can use to narrow down the search. For more information, see [filtering logic](https://docs.cloud.deepset.ai/docs/filtering-logic).","title":"Haystack Filters"},"include_reasoning":{"default":false,"description":"Includes the reasoning output under key 'reasoning' when set to `true`. Defaults to `false`.\nThe reasoning output may include the intermediate steps taken by the model to arrive at the final answer. Example reasoning output:\n```json\n{\"query_id\": \"e2084408-48f8-4f52-9b59-43dd924705ef\", \"type\": \"reasoning\", \"reasoning\": {\"reasoning_text\": \"This is the plan:\\nStep 1: Retrieve documents\\nStep 2: Process documents\\nStep 3: Generate answer\", \"extra\": {}}}\n```","title":"Include Reasoning","type":"boolean"},"include_result":{"default":false,"description":"Includes the result of the pipeline at the end of the stream under key 'result'.","title":"Include Result","type":"boolean"},"include_tool_call_results":{"default":false,"description":"Includes the tool call results under key 'tool_call_result' when set to `true`. Defaults to `false`.\nExample tool call result event:\n```json\n{\"query_id\": \"e2084408-48f8-4f52-9b59-43dd924705ef\", \"type\": \"tool_call_result\", \"tool_call_result\": {\"origin\": {\"tool_name\": \"example_tool\", \"arguments\": {\"arg1\": \"val1\"}, \"index\": 0}, \"result\": \"This is an example result.\", \"error\": false}}\n```","title":"Include Tool Call Results","type":"boolean"},"include_tool_calls":{"anyOf":[{"type":"boolean"},{"const":"rendered","type":"string"}],"default":"rendered","description":"Includes tool calls as tool call delta objects under key 'tool_call_delta' when set to `true`. When set to `rendered`, tool call events are rendered as markdown text instead. This parameter only affects the stream (not the final result) and is only effective when the pipeline makes tool calls (e.g. using the Agent component). Defaults to `rendered`.\nExample tool call delta events:\n```json\n{\"query_id\": \"e2084408-48f8-4f52-9b59-43dd924705ef\", \"type\": \"tool_call_delta\", \"tool_call_delta\": {\"tool_name\": \"example_tool\", \"index\": 0, \"id\": \"tool_call_01\"}}\n{\"query_id\": \"e2084408-48f8-4f52-9b59-43dd924705ef\", \"type\": \"tool_call_delta\", \"tool_call_delta\": {\"arguments\": \"{\\\"arg1\\\": \", \"index\": 0}}\n{\"query_id\": \"e2084408-48f8-4f52-9b59-43dd924705ef\", \"type\": \"tool_call_delta\", \"tool_call_delta\": {\"arguments\": \"\\\"val1\\\"}\", \"index\": 0}}\n```","title":"Include Tool Calls"},"params":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Parameters you can use to customize the pipeline. For details, see [Haystack documentation for the pipeline `run()` method](https://docs.haystack.deepset.ai/reference/pipeline-api). These filters can be used to pass additional parameters to the pipeline.(Haystack is the underlying technology for deepset.) ","title":"Pipeline Parameters"},"query":{"description":"The search query.","title":"Query","type":"string"},"search_session_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"The ID of the search session you want to use for chat.","title":"Search Session ID"},"view_prompts":{"default":false,"description":"Adds the runtime prompts of all nodes to the response. (Pipeline runs in debug mode.)","title":"View prompts","type":"boolean"}},"required":["query"],"title":"StreamingQuery","type":"object"}}},"required":true}}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"text/event-stream":{"schema":{"properties":{"data":{"anyOf":[{"properties":{"delta":{"description":"The incremental update to the search results.","title":"Delta Data","properties":{"meta":{"additionalProperties":true,"description":"The metadata associated with this update.","title":"Metadata","type":"object"},"text":{"description":"The incremental text added to the result in this update.","title":"Delta Text","type":"string"}},"required":["text","meta"],"type":"object"},"finish_reason":{"anyOf":[{"enum":["stop","length","tool_calls","content_filter","tool_call_results"],"type":"string"},{"type":"null"}],"description":"The reason why the content generation was finished.","title":"Finish Reason"},"index":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The index of the content part to be updated.","title":"Delta Index"},"query_id":{"description":"The unique identifier for the search query.","format":"uuid","title":"Query ID","type":"string"},"start":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Indicates if this is the start of the content part.","title":"Start Flag"},"type":{"const":"delta","description":"Indicates that this event contains an incremental update to the search results.","title":"Event Type","type":"string"}},"required":["type","query_id","delta"],"title":"SearchStreamDeltaEventData","type":"object"},{"properties":{"_debug":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Optional debug information related to the error.","title":"Debug Information"},"error":{"description":"A description of the error that occurred during the search.","title":"Error Message","type":"string"},"query_id":{"description":"The unique identifier for the search query.","format":"uuid","title":"Query ID","type":"string"},"type":{"const":"error","description":"Indicates that this event contains an error message.","title":"Event Type","type":"string"}},"required":["type","query_id","error"],"title":"SearchStreamErrorEventData","type":"object"},{"properties":{"query_id":{"description":"The unique identifier for the search query.","format":"uuid","title":"Query ID","type":"string"},"result":{"properties":{"_debug":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Debug"},"answers":{"default":[],"description":"List of deepset answers.","items":{"properties":{"answer":{"title":"Answer","type":"string"},"context":{"anyOf":[{"type":"string"},{"additionalProperties":true,"type":"object"},{"items":{},"type":"array"},{"type":"null"}],"description":"Context of the answer.","title":"Context"},"document_id":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ID of the document.","title":"Document ID"},"document_ids":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"IDs of the document.","title":"Document IDs"},"file":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Object containing the `file_id` and `name` of a file. This is used to associate a document with a file.","title":"File Reference Object (deprecated, use `files` instead)"},"files":{"anyOf":[{"items":{"additionalProperties":true,"type":"object"},"type":"array"},{"type":"null"}],"description":"List of objects containing the `file_id` and `name` of a file. This is used to associate an answer with its source files.","title":"File Reference Objects"},"meta":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"The metadata of this document.","title":"Metadata of file"},"offsets_in_context":{"anyOf":[{"items":{"properties":{"end":{"description":"End of span.","title":"End","type":"integer"},"start":{"description":"Start of span.","title":"Start","type":"integer"}},"required":["start","end"],"title":"DeepsetCloudSpan","type":"object"},"type":"array"},{"items":{"properties":{"col":{"description":"Column of the answer.","title":"Column","type":"integer"},"row":{"description":"Row of the answer.","title":"Row","type":"integer"}},"required":["row","col"],"title":"DeepsetCloudTableCell","type":"object"},"type":"array"},{"type":"null"}],"description":"Offsets of the answer in the context.","title":"Offsets in Context"},"offsets_in_document":{"anyOf":[{"items":{"properties":{"end":{"description":"End of span.","title":"End","type":"integer"},"start":{"description":"Start of span.","title":"Start","type":"integer"}},"required":["start","end"],"title":"DeepsetCloudSpan","type":"object"},"type":"array"},{"items":{"properties":{"col":{"description":"Column of the answer.","title":"Column","type":"integer"},"row":{"description":"Row of the answer.","title":"Row","type":"integer"}},"required":["row","col"],"title":"DeepsetCloudTableCell","type":"object"},"type":"array"},{"type":"null"}],"description":"Offsets of the answer in the document.","title":"Offsets in Document"},"prompt":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The prompt that was used to generate the result.","title":"Prompt"},"result_id":{"description":"Unique identifier of the result.","format":"uuid","title":"Result ID","type":"string"},"score":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Score of the answer.","title":"Score"},"type":{"description":"Type of the answer.","enum":["generative","extractive","other"],"title":"Answer Type","type":"string"}},"required":["answer","type"],"title":"DeepsetCloudAnswer","type":"object"},"title":"Answers","type":"array"},"documents":{"default":[],"description":"List of deepset documents.","items":{"properties":{"content":{"anyOf":[{"type":"string"},{"additionalProperties":true,"type":"object"},{"items":{},"type":"array"},{"type":"null"}],"description":"Content of the document.","title":"Content"},"embedding":{"anyOf":[{"items":{"type":"number"},"type":"array"},{"type":"null"}],"description":"Embedding of the document.","title":"Embedding"},"file":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Object containing the `file_id` and `name` of a file. This is used to associate a document with a file.","title":"File Reference Object (deprecated, use `files` instead)"},"id":{"description":"ID of the document.","title":"Document ID","type":"string"},"meta":{"additionalProperties":true,"description":"The metadata of this document.","title":"Metadata of file","type":"object"},"result_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Unique identifier of the result.","title":"Result ID"},"score":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Shows the relevance score of the prediction.","title":"Score"}},"required":["id","meta"],"title":"DeepsetCloudDocument","type":"object"},"title":"Documents","type":"array"},"extra_outputs":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Additional outputs returned by the pipeline. You can specify which extra outputs you want to include using the pipeline yaml `outputs` configuration section.","title":"Extra Outputs"},"output_files":{"anyOf":[{"items":{"properties":{"file_id":{"format":"uuid","title":"File Id","type":"string"},"file_name":{"title":"File Name","type":"string"}},"required":["file_id","file_name"],"title":"OutputFile","type":"object"},"type":"array"},{"type":"null"}],"description":"Files generated by the pipeline, available for download.","title":"Output Files"},"prompts":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}],"description":"The prompts used in the query. This is only returned if the `view_prompts` flag is set to `true`.","title":"Prompts"},"query":{"description":"The search query.","title":"Query","type":"string"},"query_id":{"description":"Unique identifier of the search query.","format":"uuid","title":"Query ID","type":"string"}},"required":["query"],"title":"DeepsetCloudQueryResponse","type":"object","description":"The final search results for the query."},"type":{"const":"result","description":"Indicates that this event contains the final search results.","title":"Event Type","type":"string"}},"required":["type","query_id","result"],"title":"SearchStreamResultEventData","type":"object"},{"properties":{"index":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The index of the content part to be updated.","title":"Delta Index"},"query_id":{"description":"The unique identifier for the search query.","format":"uuid","title":"Query ID","type":"string"},"start":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Indicates if this is the start of the content part.","title":"Start Flag"},"tool_call_delta":{"description":"Information about the tool call made during the search.","title":"Tool Call Delta","properties":{"arguments":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Either the full arguments in JSON format or an incremental of the arguments.","title":"Tool Arguments"},"id":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The ID of the tool call.","title":"Tool Call ID"},"index":{"description":"The index of the tool call in the list of tool calls.","title":"Tool Call Index","type":"integer"},"meta":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Additional metadata related to the tool call.","title":"Metadata"},"tool_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the Tool to call.","title":"Tool Name"}},"required":["index"],"type":"object"},"type":{"const":"tool_call_delta","description":"Indicates that this event contains tool call information.","title":"Event Type","type":"string"}},"required":["type","query_id","tool_call_delta"],"title":"SearchStreamToolCallEventData","type":"object"},{"properties":{"index":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The index of the content part to be updated.","title":"Delta Index"},"query_id":{"description":"The unique identifier for the search query.","format":"uuid","title":"Query ID","type":"string"},"start":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Indicates if this is the start of the content part.","title":"Start Flag"},"tool_call_result":{"description":"The result of the tool call made during the search.","title":"Tool Call Result","properties":{"error":{"description":"Whether the Tool invocation resulted in an error.","title":"Tool Call Error","type":"boolean"},"origin":{"description":"The Tool call that produced this result.","title":"Tool Call Origin","properties":{"arguments":{"additionalProperties":true,"description":"The arguments to call the Tool with.","title":"Tool Arguments","type":"object"},"id":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The ID of the tool call.","title":"Tool Call ID"},"tool_name":{"description":"The name of the Tool to call.","title":"Tool Name","type":"string"}},"required":["tool_name","arguments"],"type":"object"},"result":{"description":"The result of the Tool invocation.","title":"Tool Call Result","type":"string"}},"required":["result","origin","error"],"type":"object"},"type":{"const":"tool_call_result","description":"Indicates that this event contains the result of a tool call.","title":"Event Type","type":"string"}},"required":["type","query_id","tool_call_result"],"title":"SearchStreamToolCallResultEventData","type":"object"},{"properties":{"type":{"const":"ping","description":"Indicates that this event is a ping to keep the connection alive.","title":"Ping Event Type","type":"string"}},"required":["type"],"title":"SearchStreamPingEventData","type":"object"},{"properties":{"index":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The index of the content part to be updated.","title":"Delta Index"},"query_id":{"description":"The unique identifier for the search query.","format":"uuid","title":"Query ID","type":"string"},"reasoning":{"description":"The reasoning output from the model, which may include the intermediate steps taken by the model to arrive at the final answer.","title":"Reasoning","properties":{"extra":{"additionalProperties":true,"description":"Any extra information related to the reasoning, such as signature for encrypted/redacted reasoning.","title":"Reasoning Extra Information","type":"object"},"reasoning_text":{"description":"The text describing the reasoning process of the model.","title":"Reasoning Text","type":"string"}},"required":["reasoning_text"],"type":"object"},"start":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Indicates if this is the start of the content part.","title":"Start Flag"},"type":{"const":"reasoning","description":"Indicates that this event contains reasoning information.","title":"Event Type","type":"string"}},"required":["type","query_id","reasoning"],"title":"SearchStreamReasoningEventData","type":"object"}],"title":"Data"}},"required":["data"],"title":"SearchStream","type":"object"}}},"description":"Returns the search results."},"403":{"description":"The shared prototype does not allow runtime parameters."},"404":{"content":{"application/json":{"schema":{"properties":{"errors":{"description":"A list of error messages.","items":{"type":"string"},"title":"Errors","type":"array"}},"required":["errors"],"title":"DefaultErrorResponse","type":"object"}}},"description":"We couldn't find the pipeline. Check if the pipeline name is correct, make sure the pipeline exists in the workspace you specified, and try again."},"409":{"content":{"application/json":{"schema":{"properties":{"errors":{"description":"A list of error messages.","items":{"type":"string"},"title":"Errors","type":"array"}},"required":["errors"],"title":"DefaultErrorResponse","type":"object"}}},"description":"The pipeline was in a conflicted state (for example, it wasn't deployed)."},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"},"429":{"content":{"application/json":{"schema":{"properties":{"errors":{"description":"A list of error messages.","items":{"type":"string"},"title":"Errors","type":"array"}},"required":["errors"],"title":"DefaultErrorResponse","type":"object"}}},"description":"The rate limit for this pipeline has been exceeded. Please try again later."},"503":{"content":{"application/json":{"schema":{"properties":{"errors":{"description":"A list of error messages.","items":{"type":"string"},"title":"Errors","type":"array"}},"required":["errors"],"title":"DefaultErrorResponse","type":"object"}}},"description":"The pipeline is temporarily unavailable because of internal rebalancing processes. Try again in a few moments."},"591":{"content":{"application/json":{"schema":{"properties":{"errors":{"description":"A list of error messages.","items":{"type":"string"},"title":"Errors","type":"array"}},"required":["errors"],"title":"DefaultErrorResponse","type":"object"}}},"description":"The pipeline was on standby, and is now being activated. Try again in a while."}}}
>
  
</StatusCodes>
